using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.IO;
using System.IO.Compression;

public class ViewStateHelper
{

    public static byte[] Compress(byte[] data)
    {
        MemoryStream ms = new MemoryStream();
        GZipStream stream = new GZipStream(ms, CompressionMode.Compress);
        stream.Write(data, 0, data.Length);
        stream.Close();
        return ms.ToArray();
    }

    public static byte[] Decompress(byte[] data)
    {
        MemoryStream ms = new MemoryStream();
        ms.Write(data, 0, data.Length);
        ms.Position = 0;
        GZipStream stream = new GZipStream(ms, CompressionMode.Decompress);
        MemoryStream temp = new MemoryStream();
        byte[] buffer=new byte[1024];
        while (true)
        {
            int read = stream.Read(buffer, 0, buffer.Length);
            if (read <= 0)
            {
                break;
            }
            else
            {
                temp.Write(buffer, 0, buffer.Length);
            }
        }
        stream.Close();
        return temp.ToArray();
    }
}
