using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Text;
using System.IO;

public partial class _Default : System.Web.UI.Page 
{
    protected override void SavePageStateToPersistenceMedium(object state)
    {
        LosFormatter formatter = new LosFormatter();
        StringWriter writer = new StringWriter();
        //write uncompressed viewstate
        formatter.Serialize(writer, state);
        //get uncompressed viewstate as string
        string viewState = writer.ToString();
        //convert uncompressed viewstate into byte[]
        byte[] data = Convert.FromBase64String(viewState);
        //get compressed data
        byte[] compressedData = ViewStateHelper.Compress(data);
        //convert compressed byte[] into string
        string str = Convert.ToBase64String(compressedData);
        ClientScript.RegisterHiddenField("__MYVIEWSTATE", str);

    }

    protected override object LoadPageStateFromPersistenceMedium()
    {
        //get compressed viewstate
        string viewstate = Request.Form["__MYVIEWSTATE"];
        //convert to byte[]
        byte[] data = Convert.FromBase64String(viewstate);
        //decompress data
        byte[] uncompressedData = ViewStateHelper.Decompress(data);
        //convert byte[] to base64 string
        string str = Convert.ToBase64String(uncompressedData);
        LosFormatter formatter = new LosFormatter();
        return formatter.Deserialize(str);
    }

    protected void Page_Load(object sender, EventArgs e)
    {

    }
}
